<?php
namespace Ep\Form\Element;

use Ep\View\IconAwareInterface;
use Zend\Form\Element;

class Button extends Element implements IconAwareInterface
{
    /**
     * Seed attributes
     *
     * @var array
     */
    protected $attributes = [
        'type' => 'button',
    ];

    /** @var string */
    protected $icon;

    /**
     * @return string
     */
    public function getIcon(): string
    {
        return (string) $this->icon;
    }

    /**
     * @param string $icon
     */
    public function setIcon(string $icon): void
    {
        $this->icon = (string) $icon;
    }
}