<?php
namespace EpTest\Form\View\Helper;

use Ep\Form\Element\Submit;
use Ep\Form\View\Helper\FormGroup;
use PHPUnit\Framework\DOMTestCase;

/**
 * Class FormGroupTest
 *
 * @package EpTest\Form\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class FormGroupTest extends DOMTestCase
{
    public function testLabelIsNotRenderedForButtons()
    {
        $element = new Submit('submit', [
            'label' => 'LABEL',
        ]);

        $helper = new FormGroup();
        $rendered = $helper($element);

        $this->assertSelectCount('label', 0, $rendered, 'Label postoji, a ne bi smio');
    }
}